> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Privileges Policy

> Update the privileges policy configuration to restrict capabilities or devices.



## OpenAPI

````yaml /sprites/api/openapi.json post /v1/sprites/{name}/policy/privileges
openapi: 3.1.0
info:
  title: Sprites API
  version: 0.1.12
  x-sprite-env-version: 0.0.5
servers:
  - url: https://api.sprites.dev
security: []
paths:
  /v1/sprites/{name}/policy/privileges:
    post:
      tags:
        - Network Policy
      summary: Set Privileges Policy
      description: >-
        Update the privileges policy configuration to restrict capabilities or
        devices.
      operationId: sprite_env_set__privileges__policy
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrivilegesPolicyDoc'
        required: true
      responses:
        '200':
          description: Success
        '400':
          description: Bad Request - Invalid request body
        '404':
          description: Not Found - Resource not found
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    PrivilegesPolicyDoc:
      properties:
        devices:
          description: Device nodes the sprite may access
          items:
            type: string
          type: array
        noNewPrivileges:
          description: Prevent processes from gaining privileges through execve
          type: boolean
        profile:
          description: >-
            Capability profile: `minimal`, `standard` or `privileged`. Empty
            means unrestricted
          type: string
      required: []
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````